#if !defined(AFX_DLGLISTCHARTYPES_H__F505B5AA_688B_426C_9F0C_657DBB2010B3__INCLUDED_)
#define AFX_DLGLISTCHARTYPES_H__F505B5AA_688B_426C_9F0C_657DBB2010B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgListCharTypes.h : header file
//

#include "apl_gui.h"
#include "aplGuiEx.h"
#include "apl_api.h"


/////////////////////////////////////////////////////////////////////////////
// CDlgListCharTypes dialog

class CDlgListCharTypes : public CaplTranslateDialog
{
// Construction
public:
	CDlgListCharTypes(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgListCharTypes)
	enum { IDD = IDD_DLG_LIST_CHAR_TYPES };
	CaplButton	m_BtnCharRemove;
	CaplButton	m_BtnCharProp;
	CaplButton	m_BtnCharAdd;
	CSortListCtrl	m_ListCharact;
	//}}AFX_DATA

	CaplAPI *m_api;	
	aplExtent* m_list_charact;
	CaplInstance* m_selected_char;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgListCharTypes)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillCharacteristikList();

	// Generated message map functions
	//{{AFX_MSG(CDlgListCharTypes)
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonRemove();
	afx_msg void OnButtonProperty();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGLISTCHARTYPES_H__F505B5AA_688B_426C_9F0C_657DBB2010B3__INCLUDED_)
